# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-10-09 11:43
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('latitude', models.FloatField(blank=True, null=True)),
                ('longitude', models.FloatField(blank=True, null=True)),
                ('city', models.TextField(blank=True, null=True)),
                ('country', django_countries.fields.CountryField(blank='(select country)', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='PublicService',
            fields=[
                ('added', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=60)),
                ('slug', models.SlugField(max_length=100, primary_key=True, serialize=False)),
                ('links', models.URLField()),
                ('purpose', models.TextField(blank=True, null=True)),
                ('comments', models.TextField(blank=True, null=True)),
                ('email_user_support', models.EmailField(blank=True, max_length=254, null=True)),
                ('quotas', models.TextField(blank=True, null=True)),
                ('featured', models.BooleanField(default=False)),
                ('logo', models.URLField(blank=True, null=True)),
                ('location', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='public_appliances.Location')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Sponsor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('url', models.URLField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('name', models.TextField(primary_key=True, serialize=False)),
            ],
        ),
        migrations.AddField(
            model_name='publicservice',
            name='sponsors',
            field=models.ManyToManyField(blank=True, to='public_appliances.Sponsor'),
        ),
        migrations.AddField(
            model_name='publicservice',
            name='tags',
            field=models.ManyToManyField(blank=True, to='public_appliances.Tag'),
        ),
    ]
